﻿/*
Thor Server 2.0 Project - Codenamed "Stockholm"
Copyright 2008 - 2009 Joe Hegarty


This file is part of The Thor Server 2.0 Project - Codenamed "Stockholm".

The Thor Server 2.0 Project - Codenamed "Stockholm" is free software: you can 
redistribute it and/or modify it under the terms of the Microsoft Public License

The Thor Server Project is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Microsoft Public License for more details.

You should have received a copy of the Microsoft Public License
along with The Thor Server Project.  If not, see 
http://www.opensource.org/licenses/ms-pl.html
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StockholmLibrary.Util
{
    public static class Conversion
    {
        public static byte[] StringToByteArray(string data)
        {
            if (data != "")
            {
                return Encoding.GetEncoding("iso-8859-1").GetBytes(data);
            }

            return null;
        }

        public static string ByteToStringArray(byte[] data)
        {
            char[] chars = new char[data.Length];
            System.Text.Decoder d = Encoding.GetEncoding("iso-8859-1").GetDecoder();
            int charLen = d.GetChars(data, 0, data.Length, chars, 0);
            System.String szData = new System.String(chars);
            return szData;
        }
    }
}
